=== debian/changelog ===
libpeerhood (0.1.0-maemo1) unstable; urgency=low

  * Packaging for fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon,  24 May 2010 18:49:08 +0200

libpeerhood (0.1.0) unstable; urgency=low

  * Initial debian of PeerHood for i386. No sources inside deb.
  * Sources: https://www2.it.lut.fi/svn/public/peerhood/trunk/PeerHood_core


 -- Jussi Laakkonen <jussi.laakkonen@lut.fi>  Wed, 31 Mar 2010 12:29:00 +0200
