=== debian/control ===
Source: libpeerhood
Priority: extra
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>= 5), libbluetooth3-dev, libdbus-glib-1-dev, mce-dev, icd2-osso-ic-dev, maemo-cplusplus-env
Standards-Version: 3.7.2
Section: libs
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=jammo

Package: libpeerhood-0-dev
Section: libdevel
Architecture: any
Depends: libpeerhood-0 (= ${Source-Version})
Description: PeerHood is PeerToPeer communication library
 Provides a daemon utilizing different plugins for searching devices from
 network neighborhood, connecting to services on remote neighbouring devices
 and maintaining connections between connected devices. Provides also a
 library for applications which is used to retrieve information from daemon
 about surrounding devices.
 .
 This is an unstable pre-release.
 This package contains development files.

Package: libpeerhood-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PeerHood is PeerToPeer communication library
 Provides a daemon utilizing different plugins for searching devices from
 network neighborhood, connecting to services on remote neighbouring devices
 and maintaining connections between connected devices. Provides also a
 library for applications which is used to retrieve information from daemon
 about surrounding devices.
 .
 This is an unstable pre-release.
