=== debian/changelog ===
libpeerhood (0.1.1-maemo1) unstable; urgency=low

  * Fixed init scripts. Quick dirty fix for checksum - will be upgraded
    to use a better way to generate checksum.
  * Added startup script for upstart.
  * Added default configuration for PeerHood so upstart can start it.
    Default configuration is placed in /etc/default/phconfig

 -- Jussi Laakkonen <jussi.laakkonen@lut.fi>  Tue, 08 Jun 2010 12:22:20 +0300
