=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) distclean
+	-$(MAKE) clean
 ifneq "$(wildcard /usr/share/misc/config.sub)" ""
 	cp -f /usr/share/misc/config.sub config.sub
 endif
@@ -60,14 +60,31 @@
 	dh_installdirs
 
 	#binary
-	install -d $(CURDIR)/debian/libpeerhood-0/usr/bin
-	cp $(CURDIR)/result/bin/peerhoodd $(CURDIR)/debian/libpeerhood-0/usr/bin
+	install -d $(CURDIR)/debian/libpeerhood-0/usr/sbin
+	cp $(CURDIR)/result/bin/peerhoodd $(CURDIR)/debian/libpeerhood-0/usr/sbin
 
 	#library
 	install -d $(CURDIR)/debian/libpeerhood-0/usr/lib
-	cp $(CURDIR)/result/lib/*.so $(CURDIR)/debian/libpeerhood-0/usr/lib
+	cp $(CURDIR)/result/lib/libpeerhood.so $(CURDIR)/debian/libpeerhood-0/usr/lib
+	
+	#plugins
+	install -d $(CURDIR)/debian/libpeerhood-0/usr/lib/peerhood
+	cp $(CURDIR)/result/lib/libpeerhood-*.so $(CURDIR)/debian/libpeerhood-0/usr/lib/peerhood
 
 	#headers
+	install -d $(CURDIR)/debian/libpeerhood-0/usr/include/peerhood
+	cp $(CURDIR)/result/include/peerhood/PeerHood.h $(CURDIR)/debian/libpeerhood-0/usr/include/peerhood
+	cp $(CURDIR)/result/include/peerhood/IteratorWrapper.h $(CURDIR)/debian/libpeerhood-0/usr/include/peerhood
+
+	#config
+	install -d $(CURDIR)/debian/libpeerhood-0/usr/share/libpeerhood-0
+	cp $(CURDIR)/.phconfig $(CURDIR)/debian/libpeerhood-0/usr/share/libpeerhood-0
+
+	#README
+	install -d $(CURDIR)/debian/libpeerhood-0/usr/share/doc/libpeerhood-0
+	cp $(CURDIR)/debmaterial/README $(CURDIR)/debian/libpeerhood-0/usr/share/doc/libpeerhood-0
+
+	#dev headers
 	install -d $(CURDIR)/debian/libpeerhood-0-dev/usr/include/peerhood
 	cp $(CURDIR)/result/include/peerhood/*.h $(CURDIR)/debian/libpeerhood-0-dev/usr/include/peerhood
 
@@ -94,7 +111,7 @@
 #	dh_installpam
 #	dh_installmime
 #	dh_python
-#	dh_installinit
+	dh_installinit --name=peerhoodd
 #	dh_installcron
 #	dh_installinfo
 	dh_installman
