=== debian/changelog ===
libpeerhood (0.1.1-maemo2) unstable; urgency=low

  * Removed headers form non-dev package.

 -- Jussi Laakkonen <jussi.laakkonen@lut.fi>  Wed, 09 Jun 2010 11:25:56 +0300
