=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: libpeerhood
 Priority: extra
-Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
+Maintainer: Jussi Laakkonen <jussi.laakkonen@lut.fi>
+Uploaders: Aapo Rantalainen <aapo.rantalainen@gmail.com>
 Build-Depends: debhelper (>= 5), libbluetooth3-dev, libdbus-glib-1-dev, mce-dev, icd2-osso-ic-dev, maemo-cplusplus-env
 Standards-Version: 3.7.2
 Section: libs
