=== debian/rules ===
--- 
+++ 
@@ -71,11 +71,6 @@
 	install -d $(CURDIR)/debian/libpeerhood-0/usr/lib/peerhood
 	cp $(CURDIR)/result/lib/libpeerhood-*.so $(CURDIR)/debian/libpeerhood-0/usr/lib/peerhood
 
-	#headers
-	install -d $(CURDIR)/debian/libpeerhood-0/usr/include/peerhood
-	cp $(CURDIR)/result/include/peerhood/PeerHood.h $(CURDIR)/debian/libpeerhood-0/usr/include/peerhood
-	cp $(CURDIR)/result/include/peerhood/IteratorWrapper.h $(CURDIR)/debian/libpeerhood-0/usr/include/peerhood
-
 	#config
 	install -d $(CURDIR)/debian/libpeerhood-0/usr/share/libpeerhood-0
 	cp $(CURDIR)/.phconfig $(CURDIR)/debian/libpeerhood-0/usr/share/libpeerhood-0
