=== debian/changelog ===
libpeerhood (0.1.1-maemo3) unstable; urgency=low

  * Fixed issues with postinst scripts.
  * Fixed issue with 64bit operating systems not being able to use any
    networking plugin which require a interface to be retrieved with
    builtin method.
  * Fixed issue when saving the IP address of a peer inside a plugin
    that utilizes CTCPConnection class objects.

 -- Jussi Laakkonen <jussi.laakkonen@lut.fi>  Mon, 02 Aug 2010 16:57:19 +0300
