=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: Jussi Laakkonen <jussi.laakkonen@lut.fi>
 Uploaders: Aapo Rantalainen <aapo.rantalainen@gmail.com>
-Build-Depends: debhelper (>= 5), libbluetooth3-dev, libdbus-glib-1-dev, mce-dev, icd2-osso-ic-dev, maemo-cplusplus-env
+Build-Depends: debhelper (>= 5), libbluetooth3-dev, libdbus-glib-1-dev, mce-dev [arm armel], icd2-osso-ic-dev [arm armel], maemo-cplusplus-env [arm armel]
 Standards-Version: 3.7.2
 Section: libs
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=jammo
