=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,9 @@
 	CFLAGS += -O2
 endif
 
+ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
+VERSION = $(shell grep MakeCommonDefs.mk -e "version \=" | awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}')
+
 build: build-stamp
 
 build-stamp:
@@ -32,8 +35,12 @@
 	# Add here commands to compile the package.
 	
 
-	$(MAKE) BUILD_ENV=n900
-	#$(MAKE)
+ifneq (,$(findstring armel,$(ARCH)))
+	$(MAKE) BUILD_ENV=n900 LIB_DEBUG=n PH_DEBUG=n DEBUG=n
+else
+	$(MAKE)
+endif
+
 	touch $@
 
 clean:
@@ -65,7 +72,8 @@
 
 	#library
 	install -d $(CURDIR)/debian/libpeerhood-0/usr/lib
-	cp $(CURDIR)/result/lib/libpeerhood.so $(CURDIR)/debian/libpeerhood-0/usr/lib
+	cp $(CURDIR)/result/lib/libpeerhood.so $(CURDIR)/debian/libpeerhood-0/usr/lib/libpeerhood.so.$(VERSION)
+	ln -s libpeerhood.so.$(VERSION) $(CURDIR)/debian/libpeerhood-0/usr/lib/libpeerhood.so
 	
 	#plugins
 	install -d $(CURDIR)/debian/libpeerhood-0/usr/lib/peerhood
@@ -124,3 +132,4 @@
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install
+
