## libpeerhood 0.1.1-maemo4

=== Makefile ===
--- 
+++ 
@@ -62,7 +62,7 @@
 	for i in $(DIRS); do $(MAKE) -C $$i $@ || exit 1; done
 
 ifeq ($(BUILD_DEB_PACKET), y)
-	#@if [ -d $(debdir) ] ; then rm -rf $(debdir) ; fi
+	@if [ -d $(debdir) ] ; then rm -rf $(debdir) ; fi
 	
 	@install -D -s -m 755 `echo $(resultbindir)|cut -d/ -f2,3`/peerhoodd $(debbin)/peerhoodd
 	
@@ -80,11 +80,28 @@
 	
 	@install -D -m 644 $(configfile) $(debshare)/$(configfile)
 	
+	@install -D -m 644 $(debmat)/README $(debdoc)/README
+	@install -D -m 644 $(debmat)/copyright $(debdoc)/copyright
+	@install -D -m 644 $(debmat)/changelog.gz $(debdoc)/changelog.gz
+	
 	@$(MKDIR) $(debman)
 	
-	#@install -D -m 755 $(debmat)/$(debcontrol_postinst) $(debctrl)/postinst
+	@$(MKDIR) $(debctrl)
+	@echo "Source: $(debcontrol_source)" >> $(debctrl)/control
+	@echo "Section: $(debcontrol_section)" >> $(debctrl)/control
+	@echo "Priority: $(debcontrol_priority)" >> $(debctrl)/control
+	@echo "Maintainer: $(debcontrol_maintainer)" >> $(debctrl)/control
+	@echo "Package: $(debcontrol_package)" >> $(debctrl)/control
+	@echo "Architecture: $(debcontrol_architecture)" >> $(debctrl)/control
+	@echo "Version: $(debcontrol_version)" >> $(debctrl)/control
+	@echo "Depends: $(debcontrol_depends)" >> $(debctrl)/control
+	@echo "Description: $(debcontrol_description)" >> $(debctrl)/control
 	
-	#@fakeroot dpkg-deb --build $(debdir) $(debfile)
+	@cat $(debmat)/$(debcontrol_description_add) >> $(debctrl)/control
+	
+	@install -D -m 755 $(debmat)/$(debcontrol_postinst) $(debctrl)/postinst
+	
+	@fakeroot dpkg-deb --build $(debdir) $(debfile)
 endif
 
 clean:
@@ -107,6 +124,8 @@
 	@ldconfig
 	
 	@if [ ! -f /root/$(configfile) ] ; then install -v -m 644 $(configfile) /root/$(configfile) ; fi
+	@if [ ! -f /etc/default/phconfig ] ; then install -v -m 644 $(configfile) /etc/default/phconfig ; fi
+	
 
 check: 
 	for i in $(DIRS); do $(MAKE) -C $$i $@ || exit 1; done
