=== debian/changelog ===
libpeerhood (0.1.1-maemo4) unstable; urgency=low

  * Added: dh_makeshlibs -V

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 03 Aug 2010 21:44:19 +0300
