=== debian/changelog ===
libpeerhood (0.1.2) unstable; urgency=low

  * Added installing of changelogs.
  * Removed "maemo" from version number.
  * Fixed cleaning process when building a debian packet.
  * Fixed possible leak in CPeerHoodImpl when checking for pid files.
  * Changed checking of pid files to use stat().
  * Added uninstall for source makefile.

 -- Jussi Laakkonen <jussi.laakkonen@lut.fi>  Wed, 04 Aug 2010 16:53:28 +0300
