## libpeerhood 0.1.2-1

=== debian/changelog ===
libpeerhood (0.1.2-1) unstable; urgency=low

  * Symlink to libpeerhood.so is now updated with force.

 -- Jussi Laakkonen <jussi.laakkonen@lut.fi>  Mon, 09 Aug 2010 19:17:26 +0300
