## libpeerhood 0.1.2-2

=== debian/changelog ===
libpeerhood (0.1.2-2) unstable; urgency=low

  * Fixes for upstart scripts, respawning should work now. Upstart
    supported on Maemo5 only.
  * Fixed a memory leak with socket file descriptors.
  * Install scripts fixed.

 -- Jussi Laakkonen <jussi.laakkonen@lut.fi>  Tue, 07 Sep 2010 17:18:14 +0300
