=== proto-remote-execution-decision/Makefile ===
## proto-REdecide/ module Makefile

## 1. common defines
include ../MakeCommonDefs.mk

## 2. own defines
MODULE= proto-REdecide
MODULEDIR = $(BUILDDIR)/$(MODULE)
SRCS = $(wildcard *.cc)
SRCSO = param.cc hot_cube.cc
OBJS = $(addprefix $(MODULEDIR)/, $(SRCS:%.cc=%.o))
OBJS2 = $(addprefix $(MODULEDIR)/, $(SRCSO:%.cc=%.o))
LDFLAGS += $(PTHREAD.lib) $(DL.lib) $(PEERHOOD.lib) $(BLUETTOTH.lib)
APP = 	proto-REdecide proto-REdecide-server
PROGRAM = $(addprefix $(resultbindir)/,$(APP))

## 3. common rules
include ../MakeCommonRules.mk

## 4. own rules

build-do:: $(APP)

clean-do::
	rm -f $(OBJS) $(OBJS2) $(PROGRAM) $(APP)

$(APP): $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(OBJS2) $(MODULEDIR)/$@.o -rdynamic -o $(resultbindir)/$@

all:: $(APP)
