=== proto-service4/Makefile ===
##   This file is part of PeerHood.
##
##   PeerHood is free software: you can redistribute it and/or modify
##   it under the terms of the GNU Lesser General Public License 
##   version 2 as published by the Free Software Foundation.
##
##   PeerHood is distributed in the hope that it will be useful,
##   but WITHOUT ANY WARRANTY; without even the implied warranty of
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##   GNU Lesser General Public License for more details.
##
##   You should have received a copy of the GNU Lesser General Public
##   License along with PeerHood. If not, see <http://www.gnu.org/licenses/>.
##

## proto-service4/ module Makefile

## 1. common defines
include ../MakeCommonDefs.mk

## 2. own defines
MODULE = proto-service4
MODULEDIR = $(BUILDDIR)/$(MODULE)
SRCS = $(wildcard *.cc)
OBJS = $(addprefix $(MODULEDIR)/, $(SRCS:%.cc=%.o))
LDFLAGS += $(PTHREAD.lib) $(DL.lib) $(PEERHOOD.lib)
PROGRAM = $(resultbindir)/$(MODULE)

## 3. common rules
include ../MakeCommonRules.mk

## 4. own rules

build-do:: $(PROGRAM)

clean-do::
	rm -f $(OBJS) $(PROGRAM)

$(PROGRAM): $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(OBJS) -rdynamic -o $@
