=== debian/changelog ===
libpeerhood (0.1.2-3) unstable; urgency=low

  *  This is 0.1.2-1. (-2 was broken)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 14 Sep 2010 13:01:28 +0300
