## libpeerhood 0.1.2-4

=== debian/changelog ===
libpeerhood (0.1.2-4) unstable; urgency=low

  *  Removing debug-messages

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 25 Nov 2010 16:04:28 +0300
