## libpeerhood 0.1.2-5

=== debian/changelog ===
libpeerhood (0.1.2-5) unstable; urgency=low

  *  Removing more debug-messages (sdt::cout)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 25 Nov 2010 17:49:28 +0300
