## libpeerhood 0.1.2-6

=== libpeerhood/Makefile ===
--- 
+++ 
@@ -51,7 +51,7 @@
 
 $(LIBRARY): $(OBJS)
 	$(MKDIR) $(dir $@)
-	$(CXX) $(LDFLAGS) -shared -Wl,-soname,$(libname) -o $@ $(OBJS)
+	$(CXX) $(LDFLAGS) -shared -Wl,-soname,$(libname).$(version) -o $@ $(OBJS)
