=== debian/changelog ===
libpeerhood (0.1.2-6) unstable; urgency=low

  *  Removing one more debug-messaging system (libpeerhood/Logger.cc)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 25 Nov 2010 19:10:28 +0300
