=== debian/rules ===
--- 
+++ 
@@ -49,7 +49,12 @@
 	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+ifneq (,$(findstring armel,$(ARCH)))
+	$(MAKE) clean BUILD_ENV=n900
+else
+	$(MAKE) clean
+endif
+
 ifneq "$(wildcard /usr/share/misc/config.sub)" ""
 	cp -f /usr/share/misc/config.sub config.sub
 endif
@@ -103,7 +108,7 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-#	dh_installchangelogs ChangeLog
+	dh_installchangelogs
 	dh_installdocs
 	dh_installexamples
 	dh_install --sourcedir=$(CURDIR)/debian/tmp
