## libpeerhood 0.1.2-7

=== debian/changelog ===
libpeerhood (0.1.2-7) unstable; urgency=low

  * Fixes for upstart scripts, respawning should work now. Upstart
    supported on Maemo5 only.
  * Fixed a memory leak with socket file descriptors.
  * Install scripts fixed.
  * Debugging messages fixed
  * Re-enabled libpeerhood/Logger.cc - logging disabled at build-phase.

 -- Jussi Laakkonen <jussi.laakkonen@lut.fi>  Thu, 17 Feb 2011 12:25:32 +0300
 
