=== debian/rules ===
--- 
+++ 
@@ -78,7 +78,7 @@
 	#library
 	install -d $(CURDIR)/debian/libpeerhood-0/usr/lib
 	cp $(CURDIR)/result/lib/libpeerhood.so $(CURDIR)/debian/libpeerhood-0/usr/lib/libpeerhood.so.$(VERSION)
-	ln -s libpeerhood.so.$(VERSION) $(CURDIR)/debian/libpeerhood-0/usr/lib/libpeerhood.so
+	ln -fs libpeerhood.so.$(VERSION) $(CURDIR)/debian/libpeerhood-0/usr/lib/libpeerhood.so
 	
 	#plugins
 	install -d $(CURDIR)/debian/libpeerhood-0/usr/lib/peerhood
