## libpeerhood 0.1.2-8

=== Makefile ===
--- 
+++ 
@@ -62,46 +62,7 @@
 	for i in $(DIRS); do $(MAKE) -C $$i $@ || exit 1; done
 
 ifeq ($(BUILD_DEB_PACKET), y)
-	@if [ -d $(debdir) ] ; then rm -rf $(debdir) ; fi
-	
-	@install -D -s -m 755 `echo $(resultbindir)|cut -d/ -f2,3`/peerhoodd $(debbin)/peerhoodd
-	
-	@for instlib in `echo $(resultlibdir)|cut -d/ -f2,3|xargs ls|grep $(libproject)-`; \
-	do install -D -s -m 644 `echo $(resultlibdir)|cut -d/ -f2,3`/$$instlib $(debphlib)/$$instlib ; \
-	done
-	
-	@install -s -m 644 `echo $(resultlibdir)|cut -d/ -f2,3`/$(libproject).so $(deblib)/$(libproject).so.$(version)
-	
-	@ln -fs $(libproject).so.$(version) $(deblib)/$(libproject).so
-	
-	@for instincl in `echo $(resultincludedir)|cut -d/ -f2,3,4|xargs ls`; \
-	do install -D -m 644 `echo $(resultincludedir)|cut -d/ -f2,3,4`/$$instincl $(debinclude)/$$instincl ; \
-	done
-	
-	@install -D -m 644 $(configfile) $(debshare)/$(configfile)
-	
-	@install -D -m 644 $(debmat)/README $(debdoc)/README
-	@install -D -m 644 $(debmat)/copyright $(debdoc)/copyright
-	@install -D -m 644 $(debmat)/changelog.gz $(debdoc)/changelog.gz
-	
-	@$(MKDIR) $(debman)
-	
-	@$(MKDIR) $(debctrl)
-	@echo "Source: $(debcontrol_source)" >> $(debctrl)/control
-	@echo "Section: $(debcontrol_section)" >> $(debctrl)/control
-	@echo "Priority: $(debcontrol_priority)" >> $(debctrl)/control
-	@echo "Maintainer: $(debcontrol_maintainer)" >> $(debctrl)/control
-	@echo "Package: $(debcontrol_package)" >> $(debctrl)/control
-	@echo "Architecture: $(debcontrol_architecture)" >> $(debctrl)/control
-	@echo "Version: $(debcontrol_version)" >> $(debctrl)/control
-	@echo "Depends: $(debcontrol_depends)" >> $(debctrl)/control
-	@echo "Description: $(debcontrol_description)" >> $(debctrl)/control
-	
-	@cat $(debmat)/$(debcontrol_description_add) >> $(debctrl)/control
-	
-	@install -D -m 755 $(debmat)/$(debcontrol_postinst) $(debctrl)/postinst
-	
-	@fakeroot dpkg-deb --build $(debdir) $(debfile)
+	@echo "BUILD_DEB_PACKET=y is obsolete. Create debian packet with: dpkg-buildpackage -rfakeroot -b -d"
 endif
 
 clean:
@@ -126,7 +87,13 @@
 	@if [ ! -f /root/$(configfile) ] ; then install -v -m 644 $(configfile) /root/$(configfile) ; fi
 	@if [ ! -f /etc/default/phconfig ] ; then install -v -m 644 $(configfile) /etc/default/phconfig ; fi
 	
-
+uninstall:
+	@if [ -f $(libdir)/$(libproject).so.$(version) ] ; then rm -v $(libdir)/$(libproject).so.$(version) ; fi
+	@if [ -h $(libdir)/$(libproject).so ] ; then rm -v $(libdir)/$(libproject).so ; fi
+	@if [ -d $(libphdir) ] ; then rm -vrf $(libphdir) ; fi
+	@if [ -f $(bindir)/peerhoodd ] ; then rm -v $(bindir)/peerhoodd ; fi
+	@if [ -d $(includedir) ] ; then rm -vrf $(includedir) ; fi
+	
 check: 
 	for i in $(DIRS); do $(MAKE) -C $$i $@ || exit 1; done
