=== debian/changelog ===
libpeerhood (0.1.2-8) unstable; urgency=low

  * Fix to upstart usage in install scripts.
  * Added to check if dbus is running before calling start/stop.

 -- Jussi Laakkonen <jussi.laakkonen@lut.fi>  Fri, 18 Feb 2011 12:30:22 +0300
 
